Bug 299771 - (CVE-2007-5037) CVE-2007-5037 inotify-tools inotifytools_snprintf() buffer overflow vulnerability
CVE-2007-5037 inotify-tools inotifytools_snprintf() buffer overflow vulnerabi...
Product: Fedora
Classification: Fedora
Component: inotify-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dawid Gajownik
Fedora Extras Quality Assurance
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-09-21 03:21 EDT by Tomas Hoger
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.11-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-09 18:48:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-09-21 03:21:40 EDT
Secunia has published following advisory regarding inotify-tools:


A vulnerability has been reported in inotify-tools, which can potentially be
exploited by malicious users to compromise an application using the library.

The vulnerability is caused due to a boundary error within the
"inotifytools_snprintf()" function in src/inotifytools.c. This can be exploited
to cause a buffer overflow by e.g. creating a file with an overly long filename
in a specific directory.

Successful exploitation may allow the execution of arbitrary code with
privileges of the application using the affected library.

NOTE: The programs shipped with inotify-tools are reportedly not affected.

The vulnerability is reported in versions prior to 3.11.
Comment 1 Lubomir Kundrak 2007-11-09 13:06:49 EST
Dawid: Do you need any help with doing the update? Or is there any other reason
this is not updated?
Comment 2 Dawid Gajownik 2007-11-09 13:43:33 EST
Packages were built few weeks ego:
I requested updating immediately after RPMs were ready:

I'm not sure why they were in pending state so long. I thought that someone will
push them to the updates repo. Updating process was a bit easier in FC6.
Comment 3 Lubomir Kundrak 2007-11-09 14:11:53 EST
Dawid: Thanks for the update. You did everything you should have done for the
updates, it probably takes so long because we still need one person to sign the
packages, situation will improve when signing server is finished. Everytime you
think that something is wrong with any of your updates, especially security
ones, please complain on mailing list, irc channel, etc.). It might be that
there is a bug in the update system, or something like that. In case of security
updates, feel free to write to fedora-security-list or anyone from Fedora
Security Team, and we'll try the best we can to help you solve the problem.
Comment 4 Dawid Gajownik 2007-11-09 14:53:15 EST
OK, thanks for the clarification. :)
Comment 5 Fedora Update System 2007-11-09 18:48:36 EST
inotify-tools-3.11-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.